Bug 41661 - [Cycle 7] Subversion support is not available in the IDE on Mac if libsvn_client cannot be located. Xcode does not install this library by default
Summary: [Cycle 7] Subversion support is not available in the IDE on Mac if libsvn_cli...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Version Control (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: High normal
Target Milestone: C7SR0
Assignee: Marius Ungureanu
URL:
: 41660 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-09 15:19 UTC by Marius Ungureanu
Modified: 2016-09-19 21:53 UTC (History)
5 users (show)

See Also:
Tags: BZRC7S1_C6SR4S1
Is this bug a regression?: Yes
Last known good build: Xamarin Studio 5.10.3 (build 51) (f3c0d98)


Attachments

Description Marius Ungureanu 2016-06-09 15:19:52 UTC
As a fallback of not finding Svn in the library path, do an xcode-select --install then do another probe for it.
Comment 1 Marius Ungureanu 2016-06-09 15:54:48 UTC
*** Bug 41660 has been marked as a duplicate of this bug. ***
Comment 2 Brendan Zagaeski (Xamarin Team, assistant) 2016-06-09 23:26:53 UTC
## Regression status: regression in Xamarin Studio 6.0

BAD:  Xamarin Studio 6.0  (build 5174) (694a75f)
GOOD: Xamarin Studio 5.10.3 (build 51) (f3c0d98)

The dependency on `libsvn_client` is a new dependency in XS 6.0, so users will only start seeing missing Subversion functionality after updating to XS 6.0.
Comment 3 Brendan Zagaeski (Xamarin Team, assistant) 2016-06-14 19:24:01 UTC
For thorough cross-referencing, I will record that this issue is now also included in the release notes:

https://developer.xamarin.com/releases/studio/xamarin.studio_6.0/xamarin.studio_6.0/#Known_Issues
Comment 4 xamarin-release-manager 2016-06-17 15:47:57 UTC
Fixed in version 6.1.0.4954 (master)

Author: therzok
Commit: dbe238d8cc0a18a156dcb45bafeb158e7479e65f (mono/monodevelop)
Comment 5 xamarin-release-manager 2016-06-17 15:48:39 UTC
Fixed in version 6.0.2.21 (cycle7)

Author: Marius Ungureanu
Commit: cd589d91c3b7381ad1d2f37268e7047f0d9da398 (mono/monodevelop)
Comment 6 xamarin-release-manager 2016-06-17 15:48:43 UTC
Fixed in version 6.0.1.6 (cycle7-sr0)

Author: Marius Ungureanu
Commit: bcf29c8828fa64e0e091dfa6ef5b31fb3614d56c (mono/monodevelop)
Comment 7 Shruti 2016-07-04 12:42:23 UTC
First I have opened the svn repository project with XS 5.10.3.26. The project loaded successfully.

Then I have opened the same project with latest master XS 6.1 (build 5099) & C7 XS 6.0.2 (build 41) and pop up window appeared and asked to install Xcode command line tools before open/loading the project.  http://www.screencast.com/t/sBqO7YY4G

After installing Xcode command line tools, we are open the same project successfully.


Please let me know Do I need to check anything to close this issue.

Environment Info:
Master: https://gist.github.com/Sadik1/3fd087efff93ba60c2f5a70dbe369d93
C7: https://gist.github.com/Sadik1/574d05aad3062c1d718667131e2d219d
Comment 8 Brendan Zagaeski (Xamarin Team, assistant) 2016-07-07 18:32:35 UTC
Yes, this is all set.  This was actually already verified and released as part of Cycle 7 – Service Release 0, so I'll fix-up the target milestone of this bug too.
Comment 10 richard 2016-09-19 21:17:37 UTC
I am on 6.1 - still having this issue. The tools installed automatically. I am able to access subversion from the terminal shell - but in IDE it still reports "This product or Folder not under version control". BTW - if I try to manually install the tools I get:

xcode-select: error: command line tools are already installed, use "Software Update" to install updates
Comment 11 Brendan Zagaeski (Xamarin Team, assistant) 2016-09-19 21:53:41 UTC
@richard I would recommend filing a new bug report for any issue you are seeing so that it can be triaged and investigated.  (For example, the message "This product or Folder not under version control" did not appear in any of the previous comments on this bug, so what you're seeing might be a new behavior entirely.)  New bugs have higher better visibility to the engineering team than comments on Verified Fixed bugs.


Be sure to include as many details [1] as possible.  Thanks!

[1] https://developer.xamarin.com/guides/cross-platform/troubleshooting/questions/howto-file-bug/

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.